import xmltodict
import imageio

config_path = 'invert_imagePAR.xml'

# LOAD CONFIGURATION FILE
with open(config_path, 'r') as f:
    xml_str = f.read()
    raw_config = xmltodict.parse(xml_str)
    
# GET INPUT AND OUTPUT PATHS
in_path = raw_config['Root']['IN']['@Value']
out_path = raw_config['Root']['OUT']['@Value']
outprev_path = raw_config['Root']['OUTPREV']['@Value']

# LOAD INPUT IMAGE
im_np = imageio.imread(in_path)

# INVERT INPUT IMAGE
inverted_np = 255 - im_np

# PREVIEW : SAVE TO OUTPREV PATH
imageio.imsave(outprev_path, inverted_np)

# SAVE TO OUTPUT PATH
imageio.imsave(out_path, inverted_np)